<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortTwoPins.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortTwoPins_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortTwoPins.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __PortTwoPins_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __PortTwoPins_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Port.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="classPortTwoPins.html">   10</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPortTwoPins.html">PortTwoPins</a> : <span class="keyword">public</span> <a class="code" href="classPort.html">Port</a></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;{</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">   17</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">pinA</a>;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">   22</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">pinB</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <a class="code" href="classPortTwoPins.html#a284ad13d89614b4397ea98bfb41eaad2">PortTwoPins</a>();</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        </div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(<span class="keywordtype">int</span> inPinA, <span class="keywordtype">int</span> inPinB, PIN_TYPE inType);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        </div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classPortTwoPins.html#a7837528c0cc8cc18d1d4a296407ab7a7">   38</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPortTwoPins.html#a7837528c0cc8cc18d1d4a296407ab7a7">IsActive</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pinA &gt; -1; }</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">   42</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">GetPinA</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &lt; ANALOG) <span class="keywordflow">return</span> GPIO_to_Arduino_pin((GPIO_pin_t)this-&gt;pinA); <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">pinA</a>; }</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classPortTwoPins.html#adc2c94094d20ee4af05efba26f3f5dbb">   46</a></span>&#160;        <span class="keyword">inline</span> GPIO_pin_t <a class="code" href="classPortTwoPins.html#adc2c94094d20ee4af05efba26f3f5dbb">GetDIOPinA</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &lt; ANALOG) <span class="keywordflow">return</span> (GPIO_pin_t)this-&gt;<a class="code" href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">pinA</a>; <span class="keywordflow">return</span> DP_INVALID; }</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">   50</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">GetPinB</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &lt; ANALOG) <span class="keywordflow">return</span> GPIO_to_Arduino_pin((GPIO_pin_t)this-&gt;pinB); <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">pinB</a>; }</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classPortTwoPins.html#abc54cca3eb8696168eaee892c96a6f6e">   54</a></span>&#160;        <span class="keyword">inline</span> GPIO_pin_t <a class="code" href="classPortTwoPins.html#abc54cca3eb8696168eaee892c96a6f6e">GetDIOPinB</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &lt; ANALOG) <span class="keywordflow">return</span> (GPIO_pin_t)this-&gt;<a class="code" href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">pinB</a>; <span class="keywordflow">return</span> DP_INVALID; }</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortTwoPins.html#a00dcd15ca6b74360c7858141bf4a30c7">MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortTwoPins.html#add98e4c101e2d90bb39fb348ae312eac">MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortTwoPins.html#a70b21b02f765b4344dbc5f913cba965f">MoveStop</a>();</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        <span class="keywordtype">void</span> Move(<span class="keywordtype">int</span> inValA, <span class="keywordtype">int</span> inValB);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;};</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPortTwoPins_html_a70b21b02f765b4344dbc5f913cba965f"><div class="ttname"><a href="classPortTwoPins.html#a70b21b02f765b4344dbc5f913cba965f">PortTwoPins::MoveStop</a></div><div class="ttdeci">void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8cpp_source.html#l00079">PortTwoPins.cpp:79</a></div></div>
<div class="ttc" id="classPortTwoPins_html_a00dcd15ca6b74360c7858141bf4a30c7"><div class="ttname"><a href="classPortTwoPins.html#a00dcd15ca6b74360c7858141bf4a30c7">PortTwoPins::MoveLeftDir</a></div><div class="ttdeci">void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8cpp_source.html#l00021">PortTwoPins.cpp:21</a></div></div>
<div class="ttc" id="classPortTwoPins_html_abc54cca3eb8696168eaee892c96a6f6e"><div class="ttname"><a href="classPortTwoPins.html#abc54cca3eb8696168eaee892c96a6f6e">PortTwoPins::GetDIOPinB</a></div><div class="ttdeci">GPIO_pin_t GetDIOPinB() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00054">PortTwoPins.hpp:54</a></div></div>
<div class="ttc" id="classPortTwoPins_html_a03e586b8f8b95b6286b4d25bbf2cab0a"><div class="ttname"><a href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">PortTwoPins::GetPinB</a></div><div class="ttdeci">int GetPinB() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00050">PortTwoPins.hpp:50</a></div></div>
<div class="ttc" id="classPortTwoPins_html_add98e4c101e2d90bb39fb348ae312eac"><div class="ttname"><a href="classPortTwoPins.html#add98e4c101e2d90bb39fb348ae312eac">PortTwoPins::MoveRightDir</a></div><div class="ttdeci">void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8cpp_source.html#l00050">PortTwoPins.cpp:50</a></div></div>
<div class="ttc" id="classPort_html_ad7ef0d65cab5721a7e2d9b2a71663eef"><div class="ttname"><a href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">Port::pinType</a></div><div class="ttdeci">PIN_TYPE pinType</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00065">Port.hpp:65</a></div></div>
<div class="ttc" id="classPortTwoPins_html_a1df61a42c032f2d9a6c5a7c42cc6c5b9"><div class="ttname"><a href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">PortTwoPins::GetPinA</a></div><div class="ttdeci">int GetPinA() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00042">PortTwoPins.hpp:42</a></div></div>
<div class="ttc" id="classPortTwoPins_html_a7837528c0cc8cc18d1d4a296407ab7a7"><div class="ttname"><a href="classPortTwoPins.html#a7837528c0cc8cc18d1d4a296407ab7a7">PortTwoPins::IsActive</a></div><div class="ttdeci">bool IsActive() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00038">PortTwoPins.hpp:38</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortTwoPins_html_a284ad13d89614b4397ea98bfb41eaad2"><div class="ttname"><a href="classPortTwoPins.html#a284ad13d89614b4397ea98bfb41eaad2">PortTwoPins::PortTwoPins</a></div><div class="ttdeci">PortTwoPins()</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8cpp_source.html#l00009">PortTwoPins.cpp:9</a></div></div>
<div class="ttc" id="classPortTwoPins_html_adc2c94094d20ee4af05efba26f3f5dbb"><div class="ttname"><a href="classPortTwoPins.html#adc2c94094d20ee4af05efba26f3f5dbb">PortTwoPins::GetDIOPinA</a></div><div class="ttdeci">GPIO_pin_t GetDIOPinA() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00046">PortTwoPins.hpp:46</a></div></div>
<div class="ttc" id="classPortTwoPins_html_ac5a0361f93f9c6a4850d852ae3320d0d"><div class="ttname"><a href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">PortTwoPins::pinB</a></div><div class="ttdeci">int pinB</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00022">PortTwoPins.hpp:22</a></div></div>
<div class="ttc" id="classPortTwoPins_html_af91b064f4feedd3a21dfcd6b383b94f7"><div class="ttname"><a href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">PortTwoPins::pinA</a></div><div class="ttdeci">int pinA</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00017">PortTwoPins.hpp:17</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classPortTwoPins_html"><div class="ttname"><a href="classPortTwoPins.html">PortTwoPins</a></div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00010">PortTwoPins.hpp:10</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortTwoPins.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
